import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class BubbleChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

BubbleChart doChart = new BubbleChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

 
Component doDataFromArguments(Applet applet) {


      // Do not connect to EspressManager
      QbChart.setEspressManagerUsed(false);

      // Column Mapping
      ColInfo colInfo = new ColInfo();
      colInfo.xvalue = 1;
      colInfo.yvalue = 3;
      colInfo.zvalue = 2;
      colInfo.series = 0;

      String dataType[] = {"varchar", "integer", "integer", "integer"};
      String fieldName[] = {"Drink", "High", "Average", "Low"};
      String records[][] = {{"Water", "3", "2", "2"}, {"Soda", "1", "1", "0"},
                            {"Coffee", "5", "2", "1"}, {"Tea", "3", "1", "1"}}; 
      
      DbData data = new DbData(dataType, fieldName, records);
      QbChart chart = new QbChart(applet,               // Applet
                                  QbChart.VIEW2D,       // Two-Dimensional
                                  QbChart.BUBBLE,       // Bubble Chart
                                  data,                 // Data
                                  colInfo,              // Column information
                                  null);                // No specified template 


return chart; }
}